This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 750898 - Review Request: icaro - A robot automation language
Review Request: icaro - A robot automation language
Status: CLOSED DUPLICATE of bug 912930
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 14:12 EDT by Larry Letelier
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 21:30:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review?


Attachments (Terms of Use)
adds missing include header (940 bytes, patch)
2012-03-10 07:16 EST, Peter Lemenkov
no flags Details | Diff

  None (edit)
Description Larry Letelier 2011-11-02 14:12:49 EDT
Spec URL: http://lletelier.fedorapeople.org/icaro/icaro.spec
SRPM URL: http://lletelier.fedorapeople.org/icaro/icaro-0.6.2-1.290311.fc15.src.rpm
Description: Icaro is a software developed with the intention of bringing,
in a manner transparent to the user the basics of programming 
(iterations, repetition, recursion, if conditional) of a 
physical context such as a robot or automation system.
Comment 2 Peter Lemenkov 2012-03-02 12:45:55 EST
I'll review it (and will sponsor you).
Comment 3 Larry Letelier 2012-03-02 12:54:25 EST
Thanks Peter,

-- LL
Comment 4 Peter Lemenkov 2012-03-10 07:16:30 EST
Created attachment 569080 [details]
adds missing include header
Comment 5 Peter Lemenkov 2012-03-10 07:16:46 EST
Few notes.

* The package fails to build on non-x86 arches due to lack of <sys/io.h>. Please add "ExclusiveArch:  %{ix86} x86_64" for now. I think it's a good idea to add check for this and for some other required files to the configure.ac but that's not related to the packaging and won't block the review process - that's just my friendly advice.

* The package fails to build due to the missing include file - <unistd.h>. Please see patch attached.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3877160

Btw what's your FAS name?
Comment 6 Guillermo Gómez 2012-03-13 18:00:49 EDT
(In reply to comment #2)
> I'll review it (and will sponsor you).

AFAIK LL is already sponsored, he just need to be reviewed.
Comment 7 Ralf Corsepius 2012-03-14 03:02:42 EDT
2 nits:

* %release is poorly chosen. It needs to contain a fedora specific release number.
You are trying to reuse some upstream release number, which doesn't leave the fedora package maintainer an option to increment it.

* Please move the "chmod -x" from %build into %prep.
Comment 8 Eduardo Echeverria 2013-02-19 21:30:44 EST

*** This bug has been marked as a duplicate of bug 912930 ***

Note You need to log in before you can comment on or make changes to this bug.